Bug 130771 - iwconfig/iwlist shows ap mac address incorrectly
iwconfig/iwlist shows ap mac address incorrectly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 12:01 EDT by Shane
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-05 14:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shane 2004-08-24 12:01:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
iwlist and iwconifg shows ap's mac address off by one.
The ap's mac address is 00:A0:F8:5A:B3:E2 and iwlist/iwconfig will
show mac address as 00:A0:F8:5A:B3:E3 for all ap's.

Version-Release number of selected component (if applicable):
wireless-tools-26-4

How reproducible:
Always

Steps to Reproduce:
1.iwlist ath0 ap
2.
3.
    

Actual Results:  00:A0:F8:5A:B3:E3 : Quality:11/94  Signal level:-84
dBm  Noise level:-95 dBm (updated)

Expected Results:  00:A0:F8:5A:B3:E2 : Quality:11/94  Signal level:-84
dBm  Noise level:-95 dBm (updated)

Additional info:
Comment 1 Bill Nottingham 2005-01-28 00:36:51 EST
Does this persist in FC3?
Comment 2 Matthew Miller 2005-04-26 11:02:25 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Shane 2005-04-26 13:25:23 EDT
FC3 has the same issue.
Comment 4 Dan Williams 2005-04-26 13:56:40 EDT
Confirmed issue is most likely due to wireless-tools, as all of ipw, atmel, and
atheros drivers exhibit MAC address off-by-one error.
Comment 5 Dan Williams 2005-05-05 14:44:27 EDT
Ok, this is actually NOTABUG...

From Jean Tourrilhes, wireless tools author:
---------------------------------------
        I guess you are talking of the "Access Point:" field displayed
by iwconfig ? Well, this is not the MAC address of the Access Point,
but the BSSID of the cell.
        The BSSID of the Cell in managed mode is derived from the MAC
address of Access Point. For old Access Points, it was exactly the MAC
address. Nowadays, the trend seems to use the MAC address, and set the
Locally Administred bit (2nd lowest bit of the first byte). So, it is
the BSSID Address of the AP, not its MAC Address.
        I think both the driver and the tools are reporting the proper
address. Using kismet would confirm that. The BSSID Address is what
make sense, because this is what is used by 802.11 management and if
you try to associate to a specific AP, you do it by specifying its
BSSID Address.
        Maybe the documentation needs to be clearer...
-------------------------------

Note You need to log in before you can comment on or make changes to this bug.